/* Layout */
* {
  box-sizing: border-box; /* pour maîtriser width et flex-basis */
}
html {
  display: flex; flex-direction: column; /* correction bug IE de min-height non appliqué à body */
}
body {
  display: flex; /* crée un contexte flex pour ses enfants */
  flex-direction: column; /* affichage vertical */
  min-height: 100vh; /* toute la hauteur du viewport */
}
.wrapper {
  flex: 1 1 auto; /* occupe la hauteur restante */
  display: flex; /* crée un contexte flex pour ses enfants */
}
nav,
aside {
  width: 16em;
}
article {
  flex: 1; /* occupe la largeur restante */
}
nav {
  order: -1; /* nav s'affiche en premier */
}
/* Responsive (fenêtres de moins de 640px) */
@media (max-width: 640px) {
  .wrapper {
    flex-direction: column; /* affichage vertical */
  }
  nav,
  aside {
    width: auto; /* pour écraser la valeur 10em */
  }
  nav,
  aside,
  article {
    flex-basis: auto; /* pour écraser la valeur 0, due au flex: 1 */
  }
  nav {
    order: 0; /* nav reprend sa place */
  }
}
/* Decoration */
body {
  margin: 0;
  font-family: arial, sans-serif;
}
header,
nav,
aside,
article,
footer {
  padding: 1em;
}
header {
    background: #fff;
    border-bottom: 1px solid #ccc;
    position: fixed;
    top: 0;
    width: 100%;
    box-shadow: 0px 0px 1px 1px black;
}
nav {
  background: #202421;
}
aside {
  background: #202421;
}
article {
  background: #fff;
}
.slogan{
  float: left;
  margin-left: 20%;
  margin-top: -2.4%;
  font-family: 'Yanone Kaffeesatz', sans-serif;
}
.btn-status{
  margin-left: 80%;
  margin-top: -3%;
  font-family: 'Yanone Kaffeesatz', sans-serif;
}
.btn-ligne{
  background-color: green;
  color: white;
  outline: none
  font-family: 'Yanone Kaffeesatz', sans-serif;
}
.btn-absent{
  background-color: orange;
  color: white;
  outline: none;
  font-family: 'Yanone Kaffeesatz', sans-serif;
}
.btn-horsligne{
  background-color: red;
  color: white;
  outline: none;
}
.btn-ligne:hover{
  background-color: green;
  color: white;
}
.btn-absent:hover{
  background-color: orange;
  color: white;
}
.btn-horsligne:hover{
  background-color: red;
  color: white;
}
.title-header{
  margin-left: 16%;
  font-family: 'Yanone Kaffeesatz', sans-serif;
}
.send-content{
  padding: 2%;
  width: 89%;
}
.send-message{
  margin-top: 55%;
}
.send-msg{
  padding: 2%;
}
.sidebar-chat{
  position: fixed;
  top: 0;
  left: 225px;
  width: 185px;
  margin-left: -225px;
  border: none;
  border-radius: 0;
  overflow-y: auto;
  background-color: #222;
  bottom: 0;
  overflow-x: hidden;
  padding-bottom: 40px;
}
.sidebar-chat-right{
  position: fixed;
  top: 0;
  right: 0;
  width: 185px;
  margin-left: -225px;
  border: none;
  border-radius: 0;
  overflow-y: auto;
  background-color: #222;
  bottom: 0;
  overflow-x: hidden;
  padding-bottom: 40px;
}
.channel{
  color: white;
  text-transform: lowercase;
  font-size: 16px;
}
.channel:hover{
  background: transparent!IMPORTANT;
  color: #ccc;
}
.content-chat-msg{
  position: fixed;
  bottom: 0;
  margin-left: 185px;
  margin-right: 185px;
  box-shadow: 0px 0px 4px 1px black;
}
.user{
  color: white;
  text-transform: lowercase;
  font-size: 16px;
  padding-left: 60px!IMPORTANT;
}
.user:hover{
  background: transparent!IMPORTANT;
  color: #ccc;
}
.avatar-bar{
    float: left;
    margin-top: 10px;
    margin-left: 25px;
}
.log-btn{
    margin-top: 6px;
    margin-left: 28px;
    padding: 3%;
    border: 1px solid #C12319;
    background: transparent;
    color: white;
}
.log-btn:hover{
  background: #C12319;
}
.btn-send-msg{
  background: darkgrey;
    border: 1px solid;
}
.channel-create-btn{
  margin-top: 6px;
  margin-left: 28px;
  padding: 3%;
  border: 1px solid #0F7819;
  background: transparent;
  color: white;
}
.channel-create-btn:hover{
  background: #0F7819;
}